--- title: "Get All Channels" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-streams/get-all-channels/ description: "This API retrieves the list of all Datastream channels created in the specified Catalyst project." last_updated: 2026-07-07T05:22:22Z service: Cloud Scale type: api --- # Get All Channels ### Description This API retrieves the list of all [Datastream channels](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-streams/introduction/) created in the specified Catalyst project. ### Request Details #### Request URL `GET` {api-domain}/baas/v1/project/{project_id}/datastreams/channel - **api-domain** (URL): The DC-specific domain used to access Catalyst APIs - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the Catalyst project #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.datastreams.channel.READ ### Response Details On successful execution, the response contains a list of all Datastream channels available in the specified project along with their corresponding metadata. **Sample Request** ```bash curl -X GET \ https://api.catalyst.zoho.com/baas/v1/project/20084000000589014/datastreams/channel \ -H "Authorization: Zoho-oauthtoken 1000.f53426c0cee59aaa57f1f158f5f271ca.ba782e5510151a126a08232e7958b24d" \ -H "CATALYST-ORG: 89773766" \ -H "Environment: Development" ``` ### SDK Documentation [Get Channels- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/data-streams/get-channels/) [Get Channels- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/data-streams/get-channels/) [Get Channels- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/data-streams/get-channels/)